Subject: Re: #186: Document HTTP's error-handling philosophy

From: Mark Nottingham <[email-masked]>
Date: Wed, 22 Jun 2011 11:21:52 +1000

Marking this for incorporation in -15; the SHOULD review is a separate item.

Cheers,

On 27/05/2011, at 3:16 PM, Mark Nottingham wrote:

> 
> On 24/05/2011, at 4:39 PM, Julian Reschke wrote:
> 
>>>>> 
>>>>> Note that this removes the "conditionally compliant" level of conformance; i.e., SHOULD is no longer overloaded, and returns to is original RFC2119 semantic of identifying requirements that can be violated for reasonable reasons (see also<http://trac.tools.ietf.org/wg/httpbis/trac/ticket/271>, which proposes that we try to enumerate those reasons wherever possible).
>>>>> 
>>>>> That's a fairly big change. I'd argue that "conditional compliance" doesn't promote interop and should be dropped. Thoughts?
>>>> 
>>>> It *is* a big change, and getting all the changes done right will be quite some work.
>>> 
>>> 
>>> Yes, but I think it's worth doing. I'm willing to do the bulk of the review and suggestions, if people are willing to review them.
>> 
>> Will do :-)
> 
> Also, I think the tasks are separable -- i.e., we can change the "conditional compliance" language and then do a separate audit of the SHOULDs to make sure they're sensible / contextualised.
> 
> Regards,
> 
> 
> --
> Mark Nottingham   http://www.mnot.net/
> 
> 
> 
> 

--
Mark Nottingham   http://www.mnot.net/